<?php
/**
 * Themaga main functions
 */


/**
 * Assign the Themaga version to a var
 */
$theme              = wp_get_theme( 'themaga' );
$themaga_version = $theme['Version'];

/**
 * Theme's constants
 */

// Theme Version Constant
define( 'themaga_THEME_VERSION', $theme['Version'] );
// Theme Customize ID
define( 'themaga_CUSTOMIZE_ID', 'themaga_customize_id' );
/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 980; /* pixels */
}

$themaga = (object) array(
	'version' => $themaga_version,

	/**
	 * Initialize all the things.
	 */
	'main'       => require 'inc/class-themaga.php',
	'customizer' => require 'inc/customizer/class-customize.php',
);

/**
 * Include functions
 */
if ( is_admin() ) {

	$themaga->admin = require 'inc/admin/class-admin.php';

	// Includes recommend plugin
	require 'inc/helpers/class-tgm-plugin-activation.php';
}

require 'inc/core-functions.php';
require 'inc/template-hooks.php';
require 'inc/template-functions.php';
require 'inc/helpers/class-customize-output.php';
require 'inc/widget.php';
